Foxit PDF RDK

Public Member Functions | List of all members
SignatureFillSignObject Class Reference
Inheritance diagram for SignatureFillSignObject:

## Public Member Functions
| constructor (fillsign_object)
| Constructor, with parent class object. More...
| IsInitialsType ()
| Check if current annotation is an initials signature fill-sign object. More...
| SetBitmap (bitmap)
| Set a bitmap. More...
Public Member Functions inherited from FillSignObject
| constructor ()
| Constructor.
| GenerateContent ()
| Generate content for current fill-sign object. More...
| GetRect ()
| Get rectangle, in PDF coordinate system. More...
| GetType ()
| Get fill-sign type. More...
| IsEmpty ()
| Check whether current object is empty or not. More...
| Move (point, width, height, rotation)
| Move current fill-sign object. More...
Public Member Functions inherited from NativeObjectWrapper
| constructor (r)
| GetPointerAsNumber ()

## Detailed Description

Class SignatureFillSignObject is derived from class FillSignObject, and is used to represent a signature or initiials signature fill-sign object.

See also
  FillSignObject

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Function Documentation

## ◆ constructor()

SignatureFillSignObject.constructor | ( | fillsign_object |  | ) |

Constructor, with parent class object.

Parameters

  [in] | fillsign_object | Parent class object.

## ◆ IsInitialsType()

SignatureFillSignObject.IsInitialsType | ( |  | ) |

Check if current annotation is an initials signature fill-sign object.

Returns
  true means current object is an initials signature fill-sign object, while false means current object is a signature fill-sign object.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## ◆ SetBitmap()

SignatureFillSignObject.SetBitmap | ( | bitmap |  | ) |

Set a bitmap.

Parameters

  [in] | bitmap | A bitmap to be set to current fill-sign object. This should be a valid bitmap object.

Returns
  None.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.